com.oracle.truffle.api.source

## Interface LineLocation

    public interface LineLocation

A specification for a location in guest language source, expressed as a line number in a specific instance of `Source`, suitable for hash table keys with equality defined in terms of content.

### Method Summary

Methods
`int` `getLineNumber()` Gets the 1-based number of a line in the source.
`java.lang.String` `getShortDescription()`
`Source` `getSource()`

### Method Detail

#### getSource

    Source getSource()

#### getLineNumber

    int getLineNumber()

Gets the 1-based number of a line in the source.

#### getShortDescription

    java.lang.String getShortDescription()